PHP Error during Version 10.7.1 Install

Ask your questions regarding TimeTrex installation here.
Post Reply
pwwri
Posts: 2
Joined: Mon Sep 04, 2017 7:20 pm

PHP Error during Version 10.7.1 Install

Post by pwwri » Mon Sep 04, 2017 7:24 pm

Hello,

I am receiving the following error message - Critical functions disabled: system,exec,passthru,shell_exec. (Please enable them in php.ini) - when trying to install on Linux system. I have been successfully running 10.5 for some time with no issues.

I've checked my php.ini and the disable_functions ="" is confirmed to be an empty set. I'm using an existing MySql database - what am I missing?

shaunw
Posts: 7483
Joined: Tue Sep 19, 2006 2:22 pm

Re: PHP Error during Version 10.7.1 Install

Post by shaunw » Tue Sep 05, 2017 9:16 am

Do you have TimeTrex installed on a shared server by chance? Or do you have full root access to the server? What Linux distribution is it?

Its also possible that the functions may be disabled by some other mechanism outside the global php.ini file, such as a .htaccess file.

Can you attach a copy of your TimeTrex log file too please, that should provide more information.

pwwri
Posts: 2
Joined: Mon Sep 04, 2017 7:20 pm

Re: PHP Error during Version 10.7.1 Install

Post by pwwri » Wed Sep 06, 2017 5:31 am

TimeTrex is being installed on a dedicated server with root access on Centos 6

Log file is attached - I'm at a complete loss of where to go from here. I've checked all .htaccess files can't seem to find one disabling the required functions.
Attachments
timetrex.log
(163.31 KiB) Downloaded 42 times

shaunw
Posts: 7483
Joined: Tue Sep 19, 2006 2:22 pm

Re: PHP Error during Version 10.7.1 Install

Post by shaunw » Wed Sep 06, 2017 7:24 am

According to the log file, you are using cPanel, and the PHP.ini file is: /opt/cpanel/ea-php56/root/etc/php.ini

So that file will have "disable_functions" defined in it that is causing your problem.

Post Reply